HTC Evo 4G ver 1.0.36: Vimeo Applications doesn’t work

Asked By 30 points N/A Posted on -
qa-featured

Every time we download Videos in any category via Vimeo says “Unknown error occurred”, How can we fix this error? Or is Vimeo really compatible in HTC Evo?

SHARE
Answered By 0 points N/A #147212

HTC Evo 4G ver 1.0.36: Vimeo Applications doesn’t work

qa-featured

Hi Elias,

The Vimeo apps requires Android version 2.3 Gingerbread+ to be compatible with your device. As you are using HTC Evo 4G having Android OS v4.0 (Ice Cream Sandwich).

Vimeo is totally compatible with your device. But although being compatible, many users like you have problems playing videos on their devices through Vimeo. The Vimeo staffs told them that there are some bugs to be fixed and they are trying to fix them soon.

They also have confirmed that mobile-compatible versions videos can only be created by their Vimeo Plus members. So, if you are trying to watch any video uploaded by a member who is not a plus member, then there are great chances that his or her videos aren't playable on a mobile device.

Regards,

Guzman

Answered By 562865 points N/A #147213

HTC Evo 4G ver 1.0.36: Vimeo Applications doesn’t work

qa-featured

I’m sorry but I don’t agree with the previous post. HTC Evo 4G doesn’t ship with Android 4.0 Ice Cream Sandwich. It runs on Android 2.1 Eclair and can be upgraded to Android 2.3 Gingerbread. I’m not sure if there’s an HTC Evo 4G that runs on version 4 Ice Cream Sandwich but definitely this model runs on Android Eclair.

There’s an HTC Evo 4G that runs on Android Ice Cream Sandwich and its called HTC Evo 4G LTE. If the previous post is referring to this, then it is not. HTC Evo 4G LTE is different from HTC Evo 4G. The HTC Evo 4G LTE Smartphone runs on Android 4.0.3 Ice Cream Sandwich. It cannot be upgraded to any higher Android version.

The latest version of the Vimeo Android app requires Android 4.1 Jelly Bean and higher. If your handset is encountering problems with the Vimeo app, you should be updating to the latest version. But unfortunately, both HTC Evo 4G and HTC Evo 4G LTE models are not supported. If you have a different phone that runs on Android 4.1 Jelly Bean or higher, you can download the latest version from Vimeo Video App.

Currently, the latest version is Vimeo 2.0.2 and it requires Android 4.1 or higher.

Login/Register to Answer

Related Questions